> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List nodes



## OpenAPI

````yaml /openapi/multichannel-publicapi.json get /multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes
openapi: 3.1.0
info:
  description: >-
    Returns the current state of a LinkedIn account. Useful while polling a
    connection that is waiting on OTP.
  title: Multichannel Public API
  version: '1.0'
servers:
  - url: /public
security:
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /multichannel/workspaces/{workspaceID}/sequences/{sequenceID}/nodes:
    get:
      tags:
        - multichannel
      summary: List nodes
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: Sequence ID
          in: path
          name: sequenceID
          required: true
          schema:
            type: integer
        - description: Node type
          in: query
          name: type
          schema:
            enum:
              - action
              - condition
              - root
              - terminal
            type: string
        - description: Channel
          in: query
          name: channel
          schema:
            enum:
              - email
              - linkedin
              - inmail
            type: string
        - description: Name
          in: query
          name: name
          schema:
            type: string
        - description: Page
          in: query
          name: page
          schema:
            minimum: 1
            type: integer
        - description: Limit (max 100)
          in: query
          name: limit
          schema:
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.NodeListResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    responses.NodeListResponse:
      properties:
        nodes:
          items:
            $ref: '#/components/schemas/responses.NodeResponse'
          type: array
          uniqueItems: false
        pagination:
          $ref: '#/components/schemas/responses.PaginationResponse'
      type: object
    responses.ErrorResponse:
      properties:
        data: {}
        message:
          type: string
      type: object
    responses.NodeResponse:
      properties:
        actionId:
          type: integer
        branches:
          items:
            $ref: '#/components/schemas/responses.NodeBranchResponse'
          type: array
          uniqueItems: false
        conditionId:
          type: integer
        distributionStrategy:
          type: string
        id:
          type: integer
        sequenceId:
          type: integer
        type:
          type: string
        variants:
          items:
            $ref: '#/components/schemas/responses.NodeVariantResponse'
          type: array
          uniqueItems: false
        waitInMinutes:
          type: integer
        waitType:
          type: string
      type: object
    responses.PaginationResponse:
      properties:
        hasNext:
          type: boolean
        limit:
          type: integer
        page:
          type: integer
        total:
          type: integer
        totalPages:
          type: integer
      type: object
    responses.NodeBranchResponse:
      properties:
        description:
          type: string
        fromNodeId:
          type: integer
        id:
          type: integer
        name:
          type: string
        toNodeId:
          type: integer
      type: object
    responses.NodeVariantResponse:
      properties:
        exposureInPercentage:
          type: number
        id:
          type: integer
        isEnabled:
          type: boolean
        metadata:
          $ref: '#/components/schemas/responses.MetadataResponse'
        nodeId:
          type: integer
      type: object
    responses.MetadataResponse:
      properties:
        message:
          type: string
        name:
          type: string
        subject:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````